package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/12/8 15:33
 * @Modify:
 **/
@Entity
@Data
@Table(name = "DATA_SEPARATOR_RULE")
@Api(value = "迁移数据规则")
public class DataSeparatorRule extends BaseBean {


    @Column(name = "RULE_COLUMN")
    @ApiParam(value = "迁移数据根据的列名")
    private String ruleColumn;

    @Column(name = "SYS_SEPARATOR")
    @ApiParam(value = "操作符，大于，等于，小于")
    private String separator;

    @Column(name = "RULE")
    @ApiParam(value = "具体的数字，作为迁移标准")
    private String rule;


    @Column(name = "CLASSIFICATION")
    @ApiParam(value = "迁移分类，是迁移到mysql,sqlserver,ES 等做区分")
    private String classification;

    @Column(name = "REF_BEAN_NAME")
    @ApiParam(value = "迁移的类的名称")
    private String refBeanName;


    @Column(name = "TABLE_NAME_DEST")
    @ApiParam(value = "迁移目的地的表名")
    private String tableNameDest;

    @Column(name = "IP")
    @ApiParam(value = "目标位置的ip")
    private String ip;

    @Column(name = "USER_NAME")
    @ApiParam(value = "目标库的用户名")
    private String userName;

    @Column(name = "PASSWORD")
    @ApiParam(value = "目标库的密码")
    private String password;

    @Column(name = "DATABASE_NAME")
    @ApiParam(value = "目标库名")
    private String databaseName;

}
